> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get a Delivery API key GET https://api.contentful.com/spaces/{space_id}/api_keys/{api_key_id} This endpoint returns details about an existing Delivery API key. Reference: https://contentful.com/developers/docs/references/content-management-api/api-keys/get-a-delivery-api-key ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in a form of a string - `api_key_id` (string, required) — ID of the Delivery API key in a form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "accessToken": "b4c0n73n7fu1", "description": null, "environments": [ { "sys": { "id": "staging", "linkType": "Environment", "type": "Link" } } ], "name": "Example API Key", "preview_api_key": { "sys": { "id": "1Mx3FqXX5XCJDtNpVW4BZI", "linkType": "PreviewApiKey", "type": "Link" } }, "sys": { "createdAt": "2025-02-14T09:38:16.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "exampleapikey", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "ApiKey", "updatedAt": "2025-02-14T09:38:16.000Z", "updatedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "version": 1 } } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); // Fetch one api key. client .apiKeys() .async() .fetchOne( "", "", new CMACallback() { @Override protected void onSuccess(CMAApiKey result) { new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Successfully fetched one of the api keys." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch api keys." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAApiKey deliveryApiKey = client .apiKeys() .fetchOne(""); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val deliveryApiKey = client .apiKeys() .fetchOne("") ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getApiKey('')) .then((deliveryApiKey) => console.log(deliveryApiKey)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = createClient({ accessToken: '' }) const key = await client.apiKey.get({ spaceId: '', apiKeyId: '' }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpaceProxy(''); $deliveryApiKey = $space->getDeliveryApiKey(''); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') api_key = client.api_keys('').find('') ``` ```python Python from contentful_management import Client client = Client('') api_key = client.api_keys('').find('') ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var apiKey = await client.GetApiKey(""); ```